Subject: Re: RFC2518bis issue: content type for locked empty resource

From: Jason Crawford <[email-masked]>
Date: Sun, 22 Jun 2003 16:22:10 -0400

On Saturday, 06/21/2003 at 03:02 MST, "Lisa Dusseault" 
<[email-masked]> wrote:
> One of the remaining issues on how lock-null resources have been 
replaced by 
> locked empty resources (resources whose behavior is normal, rather than 
> different, and just happen to be locked and empty) is what Content-Type 
to 
> use.  I had previously favoured a specific Content-type just so all 
servers 
> behaved identically, and that's what most recently appears in the draft. 
 
> However, Julian's arguments are swaying me.  Here's our recent exchange 
on this 
> subject:
I tend to agree with Lisa's thinking.  (I don't understand Julian's :-))
Specificity is good.  We should specify what should be returned (including
possibly no Content-Type).  We should specify this as a SHOULD, not a
MUST.

---

From: "Julian Reschke" <[email-masked]>
Date: Sun, 22 Jun 2003 22:38:36 +0200

Jason,

just to clarify: I don't have a problem specifying it, as long as we specify
that *no* content type should be returned.

Julian
--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

  -----Original Message-----
  From: [email-masked] [mailto:[email-masked]]On
Behalf Of Jason Crawford
  Sent: Sunday, June 22, 2003 10:22 PM
  To: Lisa Dusseault
  Cc: Webdav WG
  Subject: Re: RFC2518bis issue: content type for locked empty resource

replaced by
to
servers
on this